Bug Hunting Session
Bug 104368 - With GTK3 port, floating search bar textentry widget can never get focused
Summary: With GTK3 port, floating search bar textentry widget can never get focused
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2016-12-03 04:40 UTC by Jean-François Fortin Tam
Modified: 2017-07-25 13:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2016-12-03 04:40:47 UTC
Description:
As title says.

Steps to Reproduce:
1. Ctrl+F in any libreoffice app
2. Detach the search toolbar into a floating toolbar

Actual Results:  
You can't type anything into the search bar, even if you click it, hit ctrl+F again, etc.

Expected Results:
It should work.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Xisco Faulí 2016-12-05 19:38:00 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 18b3138a7ac4da823e41640bed8a4707029b8fb0
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Caolán McNamara 2017-07-25 12:29:10 UTC
under wayland the toolbars can't "float" so this problem can only arises under X
Comment 3 Commit Notification 2017-07-25 13:02:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59e370f65369f345e8c505bb0b156d53d4b83acc

Resolves: tdf#104368 allow toolbars to have keyboard focus

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.